Error Occours while update ionic

npm install -g ionic@3.7.0
/Users/RaviMacMini/.npm-packages/bin/ionic -> /Users/RaviMacMini/.npm-packages/lib/node_modules/ionic/bin/ionic

  • ionic@3.7.0
    updated 1 package in 26.388s

ionic -v
[ERROR] Error occurred while loading plugins. CLI functionality may be limited.
Checking for CLI updates now…
[INFO] The Ionic CLI has an update available (3.5.0 => 3.7.0)!

[WARN] No write permissions for global node_modules–automatic CLI updates are
disabled.
To fix, see https://docs.npmjs.com/getting-started/fixing-npm-permissions

   Or, install the CLI update manually (you will likely need sudo):
   
   npm install -g ionic@latest

ionic info
[ERROR] Error occurred while loading plugins. CLI functionality may be limited.
Checking for CLI updates now…
[INFO] The Ionic CLI has an update available (3.5.0 => 3.7.0)!

[WARN] No write permissions for global node_modules–automatic CLI updates are
disabled.
To fix, see https://docs.npmjs.com/getting-started/fixing-npm-permissions

   Or, install the CLI update manually (you will likely need sudo):
   
   npm install -g ionic@latest

[ERROR] No updates found after plugin error–please report this issue.

global packages:

@ionic/cli-utils : 1.5.0
Ionic CLI        : 3.5.0

System:

Node       : v6.11.2
OS         : OS X Yosemite
Xcode      : Xcode 7.2.1 Build version 7C1002 
ios-deploy : not installed
ios-sim    : not installed
npm        : 5.3.0

Please edit your post, it is not very readable at the moment.
Use the </> button above the input field to format your code, command line output or error message (select the text first, then click the button or wrap it in ``` manually). Check the preview if it looks better. This will make sure your text is readable and if it recognizes the programming language it also automatically adds code syntax highlighting. Thanks.